Bug 1286405 - [abrt] webkitgtk4: g_type_check_instance(): WebKitPluginProcess killed by SIGSEGV
[abrt] webkitgtk4: g_type_check_instance(): WebKitPluginProcess killed by SIG...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:985d590cab5599a981fc024e37f...
:
: 1391232 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 23:22 EST by icywind90
Modified: 2016-11-02 17:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 18:36:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.86 KB, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: core_backtrace (8.52 KB, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: dso_list (12.51 KB, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: environ (1.64 KB, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: exploitable (117 bytes, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: maps (56.81 KB, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-28 23:22 EST, icywind90
no flags Details
File: open_fds (1.31 KB, text/plain)
2015-11-28 23:23 EST, icywind90
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-11-28 23:23 EST, icywind90
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 154884 None None None 2016-03-01 18:36 EST

  None (edit)
Description icywind90 2015-11-28 23:22:38 EST
Version-Release number of selected component:
webkitgtk4-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 24 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: g_type_check_instance
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
global_pid:     19422
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance at gtype.c:4136
 #1 g_signal_handler_disconnect at gsignal.c:2620
 #2 NPP_Destroy at browser-plugin.c:1016
 #3 WebKit::NetscapePlugin::destroy at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/WebProcess/Plugins/Netscape/NetscapePlugin.cpp:738
 #4 WebKit::Plugin::destroyPlugin at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/WebProcess/Plugins/Plugin.cpp:101
 #5 WebKit::PluginControllerProxy::destroy at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/PluginProcess/PluginControllerProxy.cpp:158
 #6 WebKit::WebProcessConnection::destroyPluginControllerProxy at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/PluginProcess/WebProcessConnection.cpp:84
 #7 WebKit::WebProcessConnection::destroyPlugin at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/PluginProcess/WebProcessConnection.cpp:201
 #8 IPC::callMemberFunctionImpl<WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(unsigned long, bool, WTF::PassRefPtr<Messages::WebProcessConnection::DestroyPlugin::DelayedReply>), Messages::WebProcessConnection::DestroyPlugin::DelayedReply, std::tuple<unsigned long, bool>, 0ul, 1ul>(WebKit::WebProcessConnection*, void (WebKit::WebProcessConnection::*)(unsigned long, bool, WTF::PassRefPtr<Messages::WebProcessConnection::DestroyPlugin::DelayedReply>), WTF::PassRefPtr<Messages::WebProcessConnection::DestroyPlugin::DelayedReply>, std::tuple<unsigned long, bool>&&, std::index_sequence<0ul, 1ul>) at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/HandleMessage.h:44
 #9 IPC::callMemberFunction<WebKit::WebProcessConnection, void (WebKit::WebProcessConnection::*)(unsigned long, bool, WTF::PassRefPtr<Messages::WebProcessConnection::DestroyPlugin::DelayedReply>), Messages::WebProcessConnection::DestroyPlugin::DelayedReply, std::tuple<unsigned long, bool>, std::make_index_sequence<2ul> >(std::tuple<unsigned long, bool>&&, WTF::PassRefPtr<Messages::WebProcessConnection::DestroyPlugin::DelayedReply>, WebKit::WebProcessConnection*, void (WebKit::WebProcessConnection::*)(unsigned long, bool, WTF::PassRefPtr<Messages::WebProcessConnection::DestroyPlugin::DelayedReply>)) at /usr/src/debug/webkitgtk-2.10.4/Source/WebKit2/Platform/IPC/HandleMessage.h:50
Comment 1 icywind90 2015-11-28 23:22:44 EST
Created attachment 1100086 [details]
File: backtrace
Comment 2 icywind90 2015-11-28 23:22:46 EST
Created attachment 1100087 [details]
File: cgroup
Comment 3 icywind90 2015-11-28 23:22:47 EST
Created attachment 1100088 [details]
File: core_backtrace
Comment 4 icywind90 2015-11-28 23:22:49 EST
Created attachment 1100089 [details]
File: dso_list
Comment 5 icywind90 2015-11-28 23:22:51 EST
Created attachment 1100090 [details]
File: environ
Comment 6 icywind90 2015-11-28 23:22:52 EST
Created attachment 1100091 [details]
File: exploitable
Comment 7 icywind90 2015-11-28 23:22:54 EST
Created attachment 1100092 [details]
File: limits
Comment 8 icywind90 2015-11-28 23:22:56 EST
Created attachment 1100093 [details]
File: maps
Comment 9 icywind90 2015-11-28 23:22:57 EST
Created attachment 1100094 [details]
File: mountinfo
Comment 10 icywind90 2015-11-28 23:22:59 EST
Created attachment 1100095 [details]
File: namespaces
Comment 11 icywind90 2015-11-28 23:23:00 EST
Created attachment 1100096 [details]
File: open_fds
Comment 12 icywind90 2015-11-28 23:23:02 EST
Created attachment 1100097 [details]
File: proc_pid_status
Comment 13 Niki Guldbrand 2016-02-18 00:16:10 EST
Similar problem has been detected:

Was trying to administer/update Gnome-shell extensions

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess 227 /usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
crash_function: g_type_check_instance
executable:     /usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
global_pid:     21937
kernel:         4.3.5-300.fc23.x86_64
package:        webkitgtk4-2.10.7-1.fc23
reason:         WebKitPluginProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Michael Catanzaro 2016-11-02 17:38:10 EDT
*** Bug 1391232 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.